Skip to main content
GET
/
v1
/
{tenantUUID}
/
market
/
payouts_invoices
/
{payoutInvoiceUuid}
/
stats
Get Self-Billing Invoice Statistics
curl --request GET \
  --url https://apigw.ipxo.com/billing/v1/{tenantUUID}/market/payouts_invoices/{payoutInvoiceUuid}/stats \
  --header 'Authorization: Bearer <token>'
{
  "period": {
    "from": "string",
    "to": "string"
  },
  "data": [
    {
      "invoice_uuid": "string",
      "invoice_number": "string",
      "period": "string",
      "payout_date": 0,
      "payout_status": "processing",
      "ips_count": 0,
      "average_ip_sale": 0,
      "total_sales": 0,
      "lessee_gross": 0,
      "average_net_per_ip": 0,
      "transaction_fee": 0,
      "holder_fee": 0,
      "deductions": 0,
      "net_payout": 0,
      "payment_confirmation_uuid": "string",
      "payment_confirmation_number": "string"
    }
  ],
  "meta": {
    "current_page": 0,
    "per_page": 0,
    "total": 0,
    "last_page": 0,
    "from": 0,
    "to": 0
  },
  "total_sales": 0,
  "total_net_payout": 0
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

tenantUUID
string
required

UUID

Pattern: ^[a-zA-Z0-9]{8}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{12}$
payoutInvoiceUuid
string
required

UUID

Pattern: ^[a-zA-Z0-9]{8}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{12}$

Response

Self-Billing Invoice Statistics

period
object

Statistics period

data
object[]
meta
object

Pagination metadata (only present when pagination is requested)

total_sales
number<float>

Total sales (for all filtered data, not just current page when paginated)

total_net_payout
number<float>

Total net payout (for all filtered data, not just current page when paginated)